Configure and manage data loading from data tables to destinations.
Load orders define the rules and settings for how data moves from Improvado's data tables to your destination systems. This includes:
- Source data table selection
- Destination connection and target location
- Load schedule and frequency
- Data transformation and mapping rules
- Load mode (full refresh, incremental, etc.)
Loads ensure your data is automatically synchronized from Improvado to your destination on the schedule you define.
List loads
List all loads
query Parameters
data_table_idData Table ID
destination_connection_idDestination Connection ID
destination_nameDestination Name
List loads › Responses
Get a list of Loads
countNumber of loads
nextURL to the next page
previousURL to the previous page
List of Loads
Create a load
Request to this endpoint created a new load. New load creation request is composed of Data Table and Destination connection data.
Create a load › Request Body
data_table_idData Table ID
destination_connection_idDestination Connection ID
destination_tableDestination Table
run_policyRun Policy
load_historical_dataLoad Historical Date
Create a load › Responses
Create a Load
idLoad ID
Data Table object
destination_tableDestination table name
run_policyRun policy
statusLoad status
last_updateLast update date
error_textError text
uploaded_rows_countNumber of uploaded rows
Get a load
Get detailed info about load
path Parameters
load_idLoad ID
Get a load › Responses
Get a Load
idLoad ID
Data Table object
destination_tableDestination table name
run_policyRun policy
statusLoad status
last_updateLast update date
error_textError text
uploaded_rows_countNumber of uploaded rows
Update a load
Allows to update load run policy or scheduling
path Parameters
load_idLoad ID
Update a load › Responses
Update a Load
idLoad ID
Data Table object
destination_tableDestination table name
run_policyRun policy
statusLoad status
last_updateLast update date
error_textError text
uploaded_rows_countNumber of uploaded rows
Run a load
Allows to manually run data load into customer’s destination.
Optionally provide date_from and date_to in the request body to run the load
for a specific date range. Both fields must be provided together.
Date range is ignored for loads by accounts.
path Parameters
idLoad ID
Run a load › Request Body optional
date_fromStart date for the load run (YYYY-MM-DD). Must be used together with date_to.
date_toEnd date for the load run (YYYY-MM-DD). Must be used together with date_from.
Run a load › Responses
Run a Load

